{% extends 'base.html' %}

{% block content %}
    <h2>Conversor IEEE 754</h2>
    <form method="post">
        {% csrf_token %}
        <label for="decimal_number">Número decimal:</label>
        <input type="text" name="decimal_number">
        <button type="submit">Calcular</button>
    </form>
    <ul>
        {% for data in ieee_converter_data %}
            <li>Decimal: {{ data.decimal_number }} -> IEEE 754: {{ data.i33_754_representation }}</li>
        {% endfor %}
    </ul>
{% endblock %}
